### Signal

# Gtk EmojiChooser::emoji-picked

since: 4.0

#### Declaration

    void
    emoji_picked (
      GtkEmojiChooser* self,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

Emitted when the user selects an Emoji.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`text`

  Type: `gchar*`

  The Unicode sequence for the picked Emoji, in UTF-8

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.